package fr.aminelouveaau.cartes.rest;

import fr.aminelouveaau.cartes.model.Card;
import fr.aminelouveaau.cartes.model.api.SortingResult;
import fr.aminelouveaau.cartes.service.GameService;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping({"/api/game", "/api/game/v0"})
public class GameResource {
    private final GameService gameService;


    public GameResource(GameService gameService) {
        this.gameService = gameService;
    }

    @RequestMapping(value = "/card-hand", method = RequestMethod.GET)
    @ResponseBody
    public List<Card> getCardHand() {
        return gameService.cardHand();
    }

    @RequestMapping(value = "/card-hand:sort", method = RequestMethod.PUT)
    @ResponseBody
    public SortingResult sortHand(@RequestBody final List<Card> hand) {
        return gameService.sortHand(hand);
    }

}
